.spertabot-chat-container {
    display: flex;
    flex-flow: column wrap;
    justify-content: space-between !important;
    width: calc(100vw) !important;
    height: calc(100vh) !important;
    border: var(--border);
    border-radius: 5px !important;
    background: white;
    -webkit-border-radius: 5px !important;
    -moz-border-radius: 5px !important;
    -ms-border-radius: 5px !important;
    -o-border-radius: 5px !important;
}
.App-chatbot-header {
    height: 50px;
    width: 50px;
    margin-right: 15px;
    pointer-events: none;
}
.App-chatbot {
    height: 90px;
    width: 90px;
    pointer-events: none;
}
.App-chatbot-header-span {
    font-size: 25px;
    margin-left: 5px;
}
.root {
    height: 500px;
    width: 290px;
}

.spertabot-chat-inner-container {
    height: 406px;
    background-color: #fff;
    border-radius: 3px;
    margin-bottom: 15px;
    border-radius: 5px;
}

.spertabot-chat-header {
    border-top-right-radius: 5px;
    border-top-left-radius: 5px;
    background: url("./bg.png"),
        linear-gradient(135deg, rgb(45, 182, 107), rgb(104, 200, 230));
    background-size: 378px 378px, cover;
    font-family: Arial;
    display: flex;
    align-items: center;
    font-size: 1.3rem;
    color: #03524b;
    padding: 4.5px;
    padding-top: 0px;
    padding-right: 8.5px;
    padding-bottom: 0px;
    padding-left: 28.5px;
    justify-content: space-between;
}
.header-action {
    display: flex;
}

.spertabot-chat-input-container {
    position: relative;
    bottom: 0;
    width: 100%;
    display: flex;
}

.spertabot-chat-message-container {
    padding: 0 17.5px 10px 17.5px;
    overflow: scroll;
    color: black;
    height: 374px;
    background-color: #effefd;
}

.spertabot-chat-headers {
    color: black;
    font-size: 1.25rem;
}
.spertabot-chat-input {
    width: 100%;
    padding: 12.5px;
    border: none;
    font-size: 0.85rem;
    border-top: 1px solid #d8d8d8;
    border-bottom-left-radius: 5px;
}

.spertabot-chat-input-form {
    width: 100%;
    display: flex;
}

.spertabot-chat-input::placeholder {
    color: #585858;
}

.spertabot-chat-btn-send {
    width: 100px;
    border: none;
    color: rgb(55, 107, 126);
    border-bottom-right-radius: 5px;
}

.spertabot-chat-btn-send-icon {
    fill: #fff;
    width: 15px;
}

.button {
    border-radius: 15px;
    padding: 8px;
    border: 0.2em solid #173e3f;
    font-size: 0.8rem;
    margin: 8px;
    background: transparent;
    white-space: normal;
    text-align: left;
}
#user {
    list-style: none;
    font-weight: normal;
    color: #282c34;
    margin: 2px;
    -webkit-user-select: text;
    user-select: text;
    border: 0;
    margin-top: 12px;
    margin-bottom: 7px;
    padding: 10px;
    border-radius: 5px;
    font-size: 0.9rem;
    font-weight: medium;
    position: relative;
    width: 200.5px;
    margin-left: 0;
    white-space: pre-line;
    background-color: #c1c5c7;
    text-align: left;
}
#user + span {
    flex-direction: row-reverse;
    -webkit-user-select: text;
    user-select: text;
    color: white;
    margin: 4px;
}
#bot {
    list-style: none;
    font-weight: normal;
    color: white;
    margin: 2px;
    text-align: left;
    -webkit-user-select: text;
    user-select: text;
    border: 0;
    margin-top: 12px;
    margin-bottom: 7px;
    padding: 10px;
    border-radius: 5px;
    font-size: 0.9rem;

    font-weight: medium;
    position: relative;
    width: 200.5px;
    margin-left: 0;
    white-space: pre-line;
    background-color: rgb(55, 107, 126);
}
#bot + span {
    flex-direction: row-reverse;
    -webkit-user-select: text;
    user-select: text;
    color: white;
    margin: 4px;
    text-align: left;
}
.spertabot-chat-bot-message-arrow {
    width: 0;
    height: 0;
    border-top: 8px solid transparent;
    border-bottom: 8px solid transparent;
    border-right: 8px solid #2898ec;
    border-right-color: rgb(55, 107, 126);
    position: absolute;
    left: -7px;
}
.spertabot-chat-bot-message-arrow-user {
    width: 0;
    height: 0;
    border-top: 8px solid transparent;
    border-bottom: 8px solid transparent;
    border-left: 8px solid #c1c5c7;
    border-right-color: rgb(55, 107, 126);
    position: absolute;
    right: -7px;
    top: 13px;
}
.msg {
    word-wrap: break-word;
    min-width: 50px;
    max-width: 80%;
    padding: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
    background: #dae1e7;
}
